URL structure
{userId} is the ID of a Cocoon Data user account.
Supported methods and overview
PUT- unlocks a Cocoon Data user’s account (specified byuserId).
This method takes no parameters.
Detailed description
This API endpoint unlocks a Cocoon Data user’s account (specified byuserId).
A Cocoon Data user’s account can be come locked if the user of this account had entered their password incorrectly more than the Cocoon Data Platform’s configured maximum (which can be set through the <access-service>/api/v1/config/server/{configId} API endpoint).
Supported roles and conditions
This API endpoint supports requests utilising Cocoon Data user accounts with the following roles (as described in the SafeShare Administrator’s and Organisation Administrator’s Guides):- SafeShare administrator - when this user is another SafeShare administrator user to the one whose account (specified by
{userId}in the request’s URL) is being unlocked. - Organisation administrator - a bug currently exists, which prevents users with this role from being able to unlock other Cocoon Data users who are members of their organisation through this API endpoint.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
